Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Watchdog Class Reference

The class is a base class for image views. More...

`#include <Watchdog.h>`

List of all members.

## Public Types
enum | ModuleID { colorTableMod, sensorDataProcessor, imageProcessor, ballLocator, teamBallLocator, obstaclesLocator, playersLocator, selfLocator, robotStateDetector, collisionDetector, behaviorControl, motionControl, walkingEngineNormal, headControl, ledControl, getupEngine, soundControl, sensorBehaviorControl, gtCam, numOfModules, teamcommDDPReceive = 1000, teamcommUDPReceive = 1001, teamcommProgress = 1002, teamcommSend = 1003 }
## Public Member Functions
| Watchdog ()
void | enter (int i)
void | leave (int i)
void | dump ()
## Private Types
enum | { stackSize = 100 }
## Private Attributes
int | stack [stackSize]
int | top
unsigned long | lastDump
int | operations

## Detailed Description

The class is a base class for image views.

Definition at line 15 of file Watchdog.h.

## Member Enumeration Documentation

enum Watchdog::ModuleID

  | Enumeration values:
  colorTableMod |
  sensorDataProcessor | See class SensorDataProcessorSelector
  imageProcessor | See class ImageProcessorSelector
  ballLocator | See class BallLocatorSelector
  teamBallLocator | See class TeamBallLocatorSelector
  obstaclesLocator | See class ObstaclesLocatorSelector
  playersLocator | See class PlayersLocatorSelector
  selfLocator | See class SelfLocatorSelector
  robotStateDetector | See class RobotStateDetectorSelector
  collisionDetector | See class CollisionDetectorSelector
  behaviorControl | See class BehaviorControlSelector
  motionControl | See class MotionControlSelector
  walkingEngineNormal | See class WalkingEngineNormalSelector
  headControl | See class HeadControlSelector
  ledControl | See class LEDControlSelector
  getupEngine | See class GetupEngineSelector
  soundControl | See class SoundControlSelector
  sensorBehaviorControl | See class SensorBehaviorControlSelector
  gtCam |
  numOfModules | Number of exchangeable modules
  teamcommDDPReceive |
  teamcommUDPReceive |
  teamcommProgress |
  teamcommSend |
Definition at line 18 of file Watchdog.h.

anonymous enum`[private]`

  | Enumeration values:
  stackSize |
Definition at line 53 of file Watchdog.h.

## Constructor & Destructor Documentation

Watchdog::Watchdog | ( |  | ) |

| Definition at line 13 of file Watchdog.cpp. References operations, and top.

## Member Function Documentation

void Watchdog::enter | ( | int | i | ) |

| Definition at line 18 of file Watchdog.cpp. References operations, stack, stackSize, and top. Referenced by UDPHandlerEndpoint::onReceive(), and DDPHandler::onReceive().

void Watchdog::leave | ( | int | i | ) |

| Definition at line 26 of file Watchdog.cpp. References PRINT, stack, stackSize, and top. Referenced by UDPHandlerEndpoint::onReceive(), and DDPHandler::onReceive().

void Watchdog::dump | ( |  | ) |

| Definition at line 41 of file Watchdog.cpp. References SystemCall::getCurrentSystemTime(), idText, lastDump, operations, OUTPUT, PRINT, stack, stackSize, and top.

Here is the call graph for this function:

## Member Data Documentation

int Watchdog::stack[stackSize]`[private]`

| Definition at line 54 of file Watchdog.h. Referenced by dump(), enter(), and leave().

int Watchdog::top`[private]`

| Definition at line 55 of file Watchdog.h. Referenced by dump(), enter(), leave(), and Watchdog().

unsigned long Watchdog::lastDump`[private]`

| Definition at line 56 of file Watchdog.h. Referenced by dump().

int Watchdog::operations`[private]`

| Definition at line 57 of file Watchdog.h. Referenced by dump(), enter(), and Watchdog().

The documentation for this class was generated from the following files:

- Tools/Debugging/Watchdog.h
- Tools/Debugging/Watchdog.cpp